Skip to content
Guides
API reference
stableorder:update

Close order

POST/v1/orders/{orderId}/close

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

orderId*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/orders/string/close"
{  "id": "string",  "storeId": "string",  "cartId": "string",  "customerId": null,  "orderNumber": "string",  "orderShortId": null,  "couponCode": null,  "source": null,  "sourceIdentifier": null,  "orderGroup": null,  "notes": null,  "phone": null,  "email": null,  "firstName": null,  "lastName": null,  "identificationType": null,  "identificationNumber": null,  "entityTaxId": null,  "entityName": null,  "promotion": null,  "shippingPromotion": null,  "totalSkus": 0,  "shippingConnectionId": null,  "orderDate": "2019-08-24T14:15:22Z",  "preOrderDate": null,  "confirmedAt": null,  "inProgressAt": null,  "paymentAt": null,  "shippingAt": null,  "closedAt": null,  "cancelledAt": null,  "completedAt": null,  "conciliationAt": null,  "invoicedAt": null,  "inTransitAt": null,  "pickupAt": null,  "returnedAt": null,  "invalidAt": null,  "status": "new",  "state": "open",  "fulfillmentStatus": "unfulfilled",  "returnStatus": "none",  "shippingType": null,  "invoiceType": "ticket",  "sellerId": null,  "tags": null,  "integrationTags": null,  "createdNotified": true,  "confirmedNotified": true,  "invoicedNotified": true,  "readyToPickUpNotified": true,  "inTransitNotified": true,  "deliveredNotified": true,  "cancelledNotified": true,  "cancelReason": null,  "cancelReasonType": null,  "currencyCode": "string",  "subTotal": 0.1,  "discount": 0.1,  "shipping": 0.1,  "extraShippingCost": 0.1,  "tax": 0.1,  "warranty": 0.1,  "total": 0.1,  "userAssigned": null,  "attachments": null,  "invoiceNumber": null,  "invoiceLink": null,  "isSplitSellerItem": true,  "hasRefund": true,  "hasTrackingNumber": true,  "billingAddress": {    "name": null,    "company": null,    "address1": "string",    "address2": null,    "city": "string",    "countryCode": "string",    "province": null,    "postalCode": null,    "district": null,    "phone": null,    "latitude": null,    "longitude": null,    "metadata": null  },  "shippingAddress": {    "name": null,    "company": null,    "address1": "string",    "address2": null,    "city": "string",    "countryCode": "string",    "province": null,    "postalCode": null,    "district": null,    "phone": null,    "latitude": null,    "longitude": null,    "metadata": null  },  "attribution": {    "campaignId": null,    "utmSource": null,    "utmMedium": null,    "utmCampaign": null,    "referralCode": null  },  "instructions": {    "giftMessage": null,    "specialInstructions": null  },  "items": [    {      "id": "string",      "externalItemId": null,      "productId": null,      "categoryId": null,      "brandId": null,      "sellerId": null,      "shippingProfileId": null,      "variantId": null,      "skuId": null,      "sku": null,      "locationId": null,      "title": "string",      "subtitle": null,      "thumbnail": null,      "productTitle": null,      "productDescription": null,      "productType": null,      "productTypeId": null,      "productCollection": null,      "productHandle": null,      "variantSku": null,      "variantBarcode": null,      "variantTitle": null,      "variantOptionValues": {},      "brand": null,      "category": null,      "height": 0.1,      "length": 0.1,      "width": 0.1,      "weight": 0.1,      "qty": 0.1,      "qtyRemaining": 0.1,      "qtyToDispatch": 0.1,      "qtyDispatched": 0.1,      "qtyDelivered": 0.1,      "qtyRefunded": 0.1,      "qtyReturned": 0.1,      "unitPrice": 0.1,      "subTotal": 0.1,      "discount": 0.1,      "shipping": 0.1,      "tax": 0.1,      "warranty": 0.1,      "total": 0.1,      "sellerCommissionId": null,      "commissionSource": null,      "productCommissionPercent": null,      "freightCommissionPercent": null,      "fixedFee": null,      "commissionBaseAmount": 0.1,      "productCommissionAmount": 0.1,      "freightCommissionBaseAmount": 0.1,      "freightCommissionAmount": 0.1,      "commissionAmount": 0.1,      "requiresShipping": true,      "isDiscountable": true,      "isGiftcard": true,      "isTaxInclusive": true,      "isCustomPrice": true,      "shippingConnectionId": null,      "shippingProviderName": null,      "shippingCostId": null,      "shippingCostName": null,      "invoiceNumber": null,      "invoiceLink": null,      "trackingNumber": null,      "trackingLink": null,      "orderItemStatus": "new",      "inProgressAt": null,      "paymentAt": null,      "shippingAt": null,      "closedAt": null,      "cancelledAt": null,      "completedAt": null,      "conciliationAt": null,      "invoicedAt": null,      "inTransitAt": null,      "pickupAt": null,      "returnedAt": null,      "deliveredAt": null,      "modifiers": [        {          "id": "string",          "modifierGroupId": "string",          "modifierGroupName": "string",          "modifierOptionId": "string",          "modifierOptionName": "string",          "priceDelta": 0.1        }      ],      "metadata": {},      "createdOn": "2019-08-24T14:15:22Z",      "updatedOn": null    }  ],  "shippingMethods": [    {      "id": "string",      "name": "string",      "description": null,      "subtotal": 0.1,      "discountTotal": 0.1,      "taxTotal": 0.1,      "total": 0.1,      "isTaxInclusive": true,      "sellerId": null,      "shippingProfileId": null,      "shippingMethodId": null,      "connectionId": null,      "providerName": null,      "trackingCode": null,      "estimatedDays": null,      "zoneCode": null,      "locationId": null,      "pickupPointId": null,      "scheduledDate": null,      "scheduledTime": null,      "data": {}    }  ],  "payments": [    {      "id": "string",      "paymentMethod": "string",      "paymentCode": "string",      "amount": 0.1,      "cardNumber": null,      "cardType": null,      "installments": null,      "authorizationCode": null,      "transactionReference": null,      "providerId": null,      "paymentTransactionId": null,      "paymentStatus": null,      "receiptUrl": null,      "metadata": {}    }  ],  "trackings": [    {      "id": "string",      "orderItemId": null,      "title": "string",      "content": "string",      "type": "note",      "userId": null,      "email": null,      "ip": null,      "createdOn": "2019-08-24T14:15:22Z",      "createdBy": null    }  ],  "packageItems": [    {      "id": "string",      "carrierId": null,      "carrierName": null,      "trackingNumber": null,      "trackingLink": null,      "skuId": "string",      "packages": 0.1,      "weight": 0.1,      "qty": 0.1,      "serviceType": null,      "serviceCost": 0.1,      "from": null,      "to": null,      "partialTracking": true,      "invoiceNumber": null,      "packageType": "delivery",      "packageStatus": "readyToPickUp",      "createdOn": "2019-08-24T14:15:22Z",      "updatedOn": null    }  ],  "transactions": [    {      "id": "string",      "type": "in",      "amount": 0.1,      "paymentMethod": "string",      "referenceId": null,      "referenceType": null,      "transactionReference": null,      "transactionReferenceDocumentLink": null,      "content": null,      "createdOn": "2019-08-24T14:15:22Z",      "createdBy": null    }  ],  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}